makeg`Ndim = 4 ;
makeg`x[1]  = r ;
makeg`x[2]  = theta ;
makeg`x[3]  = phi ;
makeg`x[4]  = t ;
makeg`metric[1,1]  = D[R[r,t],r]^2/(1 + f[r]) ;
makeg`style = 1;
makeg`metric[2,2]  = R[r,t]^2 ;
makeg`metric[3,3]  = R[r,t]^2*Sin[theta]^2 ;
makeg`metric[4,4]  = -1 ;

makeg`constraint = {

D[R[r,t], r, t, t] -> 2*M[r]*D[R[r,t], r]/R[r,t]^3
                      - D[M[r], r]/R[r,t]^2 ,

D[R[r,t], r, t] -> ( 2*D[M[r], r]/R[r,t] 
                     - 2*M[r]*D[R[r,t], r]/R[r,t]^2
                     + D[f[r], r] ) 
                          / ( 2*D[R[r,t], t] ), 

D[R[r,t], t, t] -> - M[r]/R[r,t]^2, 

D[R[r,t], t]^2 ->  2*M[r]/R[r,t] + f[r]

};
makeg`info="Tolman metric with constraints by C.W.Hellaby";

