(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  10, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  10, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  10, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  10, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  10, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
GRTensorM
:[font = subtitle; inactive; preserveAspect]
Going Further
:[font = input; preserveAspect; startGroup]
<<grii/grt.m
:[font = print; inactive; preserveAspect; endGroup]
 GRTensorM Version 1.0
 June 4, 1996

 Copyright 1996 by P. Musgrave, D. Pollney and K. Lake
 Use qload[] or grload[] to load a metric.
 ?grtensor for help.

 Metric directory = "/homes/gert/grtensor/mma/metrics/"
:[font = section; inactive; preserveAspect; startGroup]
Multiple Metrics
:[font = text; inactive; preserveAspect]
GRTensorM allows users to work on several metrics within a single session. Additional metrics are loaded via qload[] and they become the default metric for all subsequent calculations. Objects in a previously loaded metric can be referenced by adding a metric->name rule as a second parameter to grdisplay, grcalc or grmap. The default metric can be changed via the command grmetric[name], which makes name the new default metric.

We now demonstrate some of these points.
;[s]
15:0,0;109,1;117,2;253,3;265,4;296,5;306,6;307,7;314,8;316,9;322,10;374,11;388,12;402,13;406,14;472,-1;
15:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
qload[schw]
:[font = print; inactive; preserveAspect; endGroup]
Default metric = schw
For the schw metric.
 
Coordinates
  1        2         3         4
 x  = r,  x  = th,  x  = ph,  x  = t
For the schw metric.
 
Line element

           2
   2     dr        2       2 m       2  2      2  2        2
ds   = ------- + dt  (-1 + ---) + dth  r  + dph  r  Sin[th]
           2 m              r
       1 - ---
            r
:[font = text; inactive; preserveAspect]
Load a second metric in the same session.
:[font = input; preserveAspect; startGroup]
qload[rw]
:[font = print; inactive; preserveAspect; endGroup]
Default metric = rw
For the rw metric.
 
Coordinates
  1        2         3         4
 x  = r,  x  = th,  x  = ph,  x  = t
For the rw metric.
 
Line element

                                2     2
   2      2      2  2     2   dr  R[t]       2  2     2        2
ds   = -dt  + dth  r  R[t]  + --------- + dph  r  R[t]  Sin[th]
                                     2
                              1 - k r
:[font = text; inactive; preserveAspect]
Now calculate R[dn,dn] for the first metric we loaded by adding the rule metric->schw  as a second argument.
;[s]
5:0,0;14,1;22,2;72,3;86,4;108,-1;
5:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grcalc[R[dn,dn],metric->schw]
:[font = print; inactive; preserveAspect; endGroup]
For the schw metric.
Calculated g[up, up]( 0.383333 sec.)
Calculated g[dn, dn, pdn]( 0.266667 sec.)
Calculated Chr[dn, dn, dn]( 0.333333 sec.)
Calculated Chr[dn, dn, up]( 0.55 sec.)
Calculated R[dn, dn]( 0.516667 sec.)
CPU Time = 2.35 sec.
:[font = text; inactive; preserveAspect]
With no such rule, we are refering to the rw metric.
;[s]
3:0,0;42,1;44,2;52,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grcalc[R[dn,dn]]
:[font = print; inactive; preserveAspect; endGroup]
For the rw metric.
Calculated g[up, up]( 0.2 sec.)
Calculated g[dn, dn, pdn]( 0.3 sec.)
Calculated Chr[dn, dn, dn]( 0.383333 sec.)
Calculated Chr[dn, dn, up]( 0.583333 sec.)
Calculated R[dn, dn]( 0.566667 sec.)
CPU Time = 2.33333 sec.
:[font = input; preserveAspect; startGroup]
grdisplay[R[dn,dn]]
:[font = print; inactive; preserveAspect; endGroup]
For the rw metric.
 
Covariant Ricci

                       2
         -2 k - 2 R'[t]  - R[t] R''[t]
R      = -----------------------------
   r r                     2
                   -1 + k r

                     2          2          2      2      2    2
R        = -1 + 2 k r  - Cot[th]  + Csc[th]  + 2 r  R'[t]  + r  R[t] R''[t]
   th th

                2        2      2        2      2    2             2
R        = 2 k r  Sin[th]  + 2 r  Sin[th]  R'[t]  + r  R[t] Sin[th]  R''[t]
   ph ph

         -3 R''[t]
R      = ---------
   t t     R[t]
:[font = text; inactive; preserveAspect]
grdisplay also accepts a  metric-> rule as an additional parameter.
;[s]
4:0,0;9,1;26,2;34,3;67,-1;
4:1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grdisplay[R[dn,dn],metric->schw]
:[font = print; inactive; preserveAspect; endGroup]
For the schw metric.
 
Covariant Ricci

                       2          2
R        = -1 - Cot[th]  + Csc[th]
   th th
:[font = text; inactive; preserveAspect]
To modify objects in the schw metric we again use a metric-> rule. 
;[s]
5:0,0;25,1;29,2;52,3;60,4;67,-1;
5:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grmap[Together[#,Trig->True]&, R[dn,dn], metric->schw]
:[font = print; inactive; preserveAspect; endGroup]
For the schw metric.
Applying Together[#1, Trig -> True] &  to R[dn, dn]
CPU Time = 0.166667 sec.
:[font = input; preserveAspect; startGroup]
grdisplay[R[dn,dn],metric->schw]
:[font = print; inactive; preserveAspect; endGroup; endGroup]
For the schw metric.
 
Covariant Ricci
R[dn, dn] = All components are zero
:[font = section; inactive; preserveAspect; startGroup]
Constraints
:[font = text; inactive; preserveAspect]
Frequently we have additional information about functions which appear in a metric (either because there are implicit functions inthe metric or we know something about the functions as a consequence of solving Einstein's equations). When performing calculations with these spacetimes it is essential to be able to apply these constraints to objects. GRTensor allows this via the function ApplyConstraints  which is used in conjunction with grmap. The constraints themselves are entered when the metric is entered so that they are always associated with the particular metric. Consider the example of a plane gravitational wave which has a function H[u,x,y] which satisfies the 2-D Laplace's equation in x and y.

We begin by demonstrating that this spacetime is indeed vacuum (which is just a double check of the constraint) and then show that all the scalar invariants of the metric vanish. Since the metric has plane symmetry and is vacuum we need only consider the CMW subset of the invariants.
;[s]
9:0,0;388,1;405,2;440,3;445,4;648,5;656,6;968,7;971,8;997,-1;
9:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
qload[ppwave]
:[font = print; inactive; preserveAspect; endGroup]
Default metric = ppwave
For the ppwave metric.
 
Coordinates
  1        2        3        4
 x  = r,  x  = u,  x  = x,  x  = y
For the ppwave metric.
 
Line element

   2               2     2     2
ds   = 4 dr du - dx  - dy  + du  H[u, x, y]
For the ppwave metric.
 
Text Information

Text  = Plane gravitational wave
For the ppwave metric.
 
Constraints 

                 (0,2,0)               (0,0,2)
constraints  = {H       [u, x, y] -> -H       [u, x, y]}
:[font = input; preserveAspect; startGroup]
grcalc[R[dn,dn]]
:[font = print; inactive; preserveAspect; endGroup]
For the ppwave metric.
Calculated g[up, up]( 0.116667 sec.)
Calculated g[dn, dn, pdn]( 0.316667 sec.)
Calculated Chr[dn, dn, dn]( 0.383333 sec.)
Calculated Chr[dn, dn, up]( 0.566667 sec.)
Calculated R[dn, dn]( 0.416667 sec.)
CPU Time = 2.06667 sec.
:[font = input; preserveAspect; startGroup]
grdisplay[R[dn,dn]]
:[font = print; inactive; preserveAspect; endGroup]
For the ppwave metric.
 
Covariant Ricci

          (0,0,2)             (0,2,0)
         H       [u, x, y] + H       [u, x, y]
R      = -------------------------------------
   u u                     2
:[font = text; inactive; preserveAspect]
Now use grmap to map ApplyConstraints  onto Ricci.
;[s]
5:0,0;8,1;13,2;21,3;37,4;50,-1;
5:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grmap[ApplyConstraints,$]
:[font = print; inactive; preserveAspect; endGroup]
For the ppwave metric.
Applying ApplyConstraints to R[dn, dn]
CPU Time = 0.0833333 sec.
:[font = input; preserveAspect; startGroup]
grdisplay[$]
:[font = print; inactive; preserveAspect; endGroup]
For the ppwave metric.
 
Covariant Ricci
R[dn, dn] = All components are zero
:[font = text; inactive; preserveAspect]
Now look at the CMW invariants
:[font = input; preserveAspect; startGroup]
grcalc[CMW]
:[font = message; inactive; preserveAspect]
grii::autoload: Loading objects from grii`objects`cmscalar`CM`
:[font = print; inactive; preserveAspect; endGroup]
Created a definition for Weyl[up, up, up, up]
For the ppwave metric.
Calculated R[dn, dn, dn, dn]( 1.51667 sec.)
Calculated Ricciscalar( 0.0333333 sec.)
Calculated Weyl[dn, dn, dn, dn]( 0.783333 sec.)
Calculated Weyl[dn, dn, up, up]( 1.71667 sec.)
Calculated WeylSq( 0.0333333 sec.)
Calculated W1R( 0.0166667 sec.)
Calculated detg( 0.0333333 sec.)
Calculated LevC[dn, dn, dn, dn]( 1.06667 sec.)
Calculated Weyl[up, up, up, up]( 1.68333 sec.)
Calculated Weylstar[dn, dn, up, up]( 1.26667 sec.)
Calculated W1I( 0.0333333 sec.)
Calculated W2R( 0.1 sec.)
Calculated W2I( 0.116667 sec.)
CPU Time = 14.6167 sec.
:[font = input; preserveAspect]
grmap[ApplyConstraints,CMW, Verbose->False]
:[font = input; preserveAspect; startGroup]
grdisplay[CMW]
:[font = print; inactive; preserveAspect; endGroup]
For the ppwave metric.
 
CM invariant Re(W1)
W1R  = 0
 
CM invariant Im(W1)
W1I  = 0
 
CM invariant Re(W2)
W2R  = 0
 
CM invariant Im(W2)
W2I  = 0
:[font = text; inactive; preserveAspect; endGroup]
All the invariants of the ppwave metric vanish even though it has a non-zero Riemann tensor!!
;[s]
3:0,0;26,1;32,2;93,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = section; inactive; preserveAspect; startGroup]
Newman-Penrose Calculations
:[font = text; inactive; preserveAspect]
GRTensorII allows you to work in a basis (in n=4 a tetrad) including a Newman-Penrose tetrad. These can be entered via makeg and the standard NP objects can be calculated in a straight-forward way. Consider the NP tetrad for Schwarzschild:
;[s]
3:0,0;119,1;124,2;239,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
qload[NPschw]
:[font = print; inactive; preserveAspect; endGroup]
Default metric = NPschw
For the NPschw metric.
 
Coordinates
  1        2        3            4
 x  = t,  x  = r,  x  = theta,  x  = phi
For the NPschw metric.
 
Basis inner product

    (t) (r)
eta         = 1

    (theta) (phi)
eta               = -1
For the NPschw metric.
 
Basis vectors

                2
       t       r
e        = -----------
   (t)               2
           -2 m r + r

       r
e        = 1
   (t)

       t   1
e        = -
   (r)     2

                       2
       r   -(-2 m r + r )
e        = --------------
   (r)             2
                2 r

           theta       1
e                = ---------
   (theta)         Sqrt[2] r

           phi   I Csc[theta]
e              = ------------
   (theta)        Sqrt[2] r

         theta       1
e              = ---------
   (phi)         Sqrt[2] r

         phi   -I Csc[theta]
e            = -------------
   (phi)         Sqrt[2] r
:[font = text; inactive; preserveAspect]
Let's look at the Ricci and Weyl scalars (we set Verbose->False to reduce the output).
;[s]
3:0,0;49,1;63,2;86,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grcalc[{RicciSc,WeylSc}, Verbose->False]
:[font = message; inactive; preserveAspect; endGroup]
grii::autoload: Loading objects from grii`objects`NP`NP`
:[font = input; preserveAspect]
grmap[Together[#,Trig->True]&, $, Verbose->False]
:[font = text; inactive; preserveAspect]
The only non-vanishing scalar is Psi2.
;[s]
3:0,0;33,1;37,2;38,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grdisplay[$]
:[font = print; inactive; preserveAspect; endGroup]
For the NPschw metric.
 
Lambda = Ricci Scalar/24
Lambda = 0
 
Ricci Scalar, Phi00
Phi00 = 0
 
Ricci Scalar, Phi01
Phi01 = 0
 
Ricci Scalar, Phi02
Phi02 = 0
 
Ricci Scalar, Phi11
Phi11 = 0
 
Ricci Scalar, Phi12
Phi12 = 0
 
Ricci Scalar, Phi22
Phi22 = 0
 
Weyl Scalar, NP Psi0
Psi0 = 0
 
Weyl Scalar, NP Psi1
Psi1 = 0
 
Weyl Scalar, NP Psi2

         m
Psi2 = -(--)
          3
         r
 
Weyl Scalar, NP Psi3
Psi3 = 0
 
Weyl Scalar, NP Psi4
Psi4 = 0
:[font = text; inactive; preserveAspect]
The Petrov type for NP spacetimes can be determined by calculating and displaying the object Petrov.
;[s]
3:0,0;93,1;99,2;100,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
grcalc[Petrov]
:[font = print; inactive; preserveAspect; endGroup]
For the NPschw metric.
Calculated Petrov( 0.116667 sec.)
CPU Time = 0.316667 sec.
:[font = input; preserveAspect; startGroup]
grdisplay[Petrov]
:[font = print; inactive; preserveAspect; endGroup]
For the NPschw metric.
 
Petrov Type

Petrov Type  = D (or simpler)
:[font = text; inactive; preserveAspect]
The determination of Petrov type is based on trying to determine if certain quantities can be evaluated to zero. In some cases the type may be simpler than indicated because GRTensorM could not reduce an expression to zero. The command PetrovReport[] displays the non-zero quantities which arose in determining the Petrov type.
;[s]
3:0,0;236,1;250,2;327,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
PetrovReport[]
:[font = print; inactive; preserveAspect; endGroup]
The conclusion Petrov type  ===  D (or simpler)
For the  NPschw metric
was based on the following results:
Weyl scalar Psi0 = 0
Weyl scalar Psi1 = 0
Weyl scalar Psi2 could not be evaluated to zero.
Weyl scalar Psi3 = 0
Weyl scalar Psi4 = 0
---> Therefore the metric is Petrov D (or simpler).
-------------------------------------------------------
The quantities that could not be evaluated to zero are; 
                      m
Weyl scalar Psi2 == -(--)
                       3
                      r
:[font = subsubsection; inactive; preserveAspect; startGroup]
Alternate NP algorithm
:[font = text; inactive; preserveAspect]
If the NP tetrad can be specified in covariant form then a different calculation algorithm which avoids calculating the metric can be used (see Allen et.al. GRG 26:21). The principle advantage of this approach is that it does not require calculation of the metric. NP objects based on this algorithm have a 'C' prefix e.g. CRicciSc. It is not clear when this algorithm will generally provided an advantage (see D. Pollney et.al. gr-qc/9601036 , to appear in CQG)
;[s]
3:0,0;323,1;331,2;463,-1;
3:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
qload[npxyzkn]
:[font = print; inactive; preserveAspect; endGroup]
Default metric = npxyzkn
For the npxyzkn metric.
 
Coordinates
  1        2        3        4
 x  = t,  x  = z,  x  = x,  x  = y
For the npxyzkn metric.
 
Basis inner product

    (t) (z)
eta         = 1

    (x) (y)
eta         = -1
For the npxyzkn metric.
 
Basis 1-forms

                 2    2            2
           Sqrt[a  + Q  - 2 M x + x ]
e        = --------------------------
   (t) t                  2    2  2
            Sqrt[2] Sqrt[x  + a  y ]

                     2    2            2        2
             a Sqrt[a  + Q  - 2 M x + x ] (1 - y )
e        = -(-------------------------------------)
   (t) z                         2    2  2
                   Sqrt[2] Sqrt[x  + a  y ]

                            2    2  2
                      Sqrt[x  + a  y ]
e        = -(----------------------------------)
   (t) x                   2    2            2
             Sqrt[2] Sqrt[a  + Q  - 2 M x + x ]

                 2    2            2
           Sqrt[a  + Q  - 2 M x + x ]
e        = --------------------------
   (z) t                  2    2  2
            Sqrt[2] Sqrt[x  + a  y ]

                     2    2            2        2
             a Sqrt[a  + Q  - 2 M x + x ] (1 - y )
e        = -(-------------------------------------)
   (z) z                         2    2  2
                   Sqrt[2] Sqrt[x  + a  y ]

                          2    2  2
                    Sqrt[x  + a  y ]
e        = ----------------------------------
   (z) x                 2    2            2
           Sqrt[2] Sqrt[a  + Q  - 2 M x + x ]

                            2
                a Sqrt[1 - y ]
e        = ------------------------
   (x) t                 2    2  2
           Sqrt[2] Sqrt[x  + a  y ]

                2    2            2
              (a  + x ) Sqrt[1 - y ]
e        = -(------------------------)
   (x) z                   2    2  2
             Sqrt[2] Sqrt[x  + a  y ]

                    2    2  2
           -I Sqrt[x  + a  y ]
e        = --------------------
   (x) y                     2
           Sqrt[2] Sqrt[1 - y ]

                            2
                a Sqrt[1 - y ]
e        = ------------------------
   (y) t                 2    2  2
           Sqrt[2] Sqrt[x  + a  y ]

                2    2            2
              (a  + x ) Sqrt[1 - y ]
e        = -(------------------------)
   (y) z                   2    2  2
             Sqrt[2] Sqrt[x  + a  y ]

                    2    2  2
            I Sqrt[x  + a  y ]
e        = --------------------
   (y) y                     2
           Sqrt[2] Sqrt[1 - y ]
For the npxyzkn metric.
 
Text Information

Text  =  A version of Kerr-Newman from GRG, 26, p21, 1994.    
:[font = input; preserveAspect]
grcalc[CRicciSc, Verbose->False]
:[font = input; preserveAspect; startGroup]
grdisplay[$]
:[font = print; inactive; preserveAspect; endGroup; endGroup; endGroup]
For the npxyzkn metric.
 
Lambda = Ricci Scalar/24
Lambda = 0
 
Ricci Scalar, Phi00
Phi00 = 0
 
Ricci Scalar, Phi01
Phi01 = 0
 
Ricci Scalar, Phi02
Phi02 = 0
 
Ricci Scalar, Phi11

                      2
                     Q
Phi11 = ----------------------------
                      2            2
        2 (-I x + a y)  (I x + a y)
 
Ricci Scalar, Phi12
Phi12 = 0
 
Ricci Scalar, Phi22
Phi22 = 0
:[font = section; inactive; preserveAspect; startGroup]
General Basis Calculations
:[font = text; inactive; preserveAspect]
GRTensorM allows for the calculation of objects in a basis with a general inner product. In this section we demonstrate the calculation of basis objects R[bdn,bdn] and 
Weyl[bdn,bdn,bdn,bdn] for a non-null tetrad of the Kerr-Newman metric.
;[s]
5:0,0;156,1;166,2;172,3;193,4;242,-1;
5:1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;1,0,0 ,Courier,0,12,0,0,0;1,0,0 ,times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup]
qload[bknu]
:[font = print; inactive; preserveAspect; endGroup]
Default metric = bknu
For the bknu metric.
 
Coordinates
  1        2        3          4
 x  = r,  x  = u,  x  = phi,  x  = t
For the bknu metric.
 
Basis inner product

    (r) (r)
eta         = -1

    (u) (u)
eta         = -1

    (phi) (phi)
eta             = -1

    (t) (t)
eta         = 1
For the bknu metric.
 
Basis 1-forms

                       2    2
                 Sqrt[r  + u ]
e        = --------------------------
   (r) r         2    2            2
           Sqrt[a  + Q  - 2 m r + r ]

                   2    2
             Sqrt[r  + u ]
e        = -(-------------)
   (u) u           2    2
             Sqrt[a  - u ]

                 2    2        2    2
               (a  + r ) Sqrt[a  - u ]
e            = -----------------------
   (phi) phi               2    2
                   a Sqrt[r  + u ]

                     2    2
               Sqrt[a  - u ]
e          = -(-------------)
   (phi) t           2    2
               Sqrt[r  + u ]

                     2    2            2    2    2
               Sqrt[a  + Q  - 2 m r + r ] (a  - u )
e          = -(------------------------------------)
   (t) phi                       2    2
                         a Sqrt[r  + u ]

                 2    2            2
           Sqrt[a  + Q  - 2 m r + r ]
e        = --------------------------
   (t) t               2    2
                 Sqrt[r  + u ]
:[font = input; preserveAspect; startGroup]
grcalc[{R[bdn,bdn],Weyl[bdn,bdn,bdn,bdn]}]
:[font = print; inactive; preserveAspect; endGroup]
Created a definition for rot[bdn, bup, bdn]
For the bknu metric.
Calculated e[bup, dn]( 0.316667 sec.)
Calculated g[dn, dn]( 0.55 sec.)
Calculated g[up, up]( 6.16667 sec.)
Calculated e[bdn, up]( 0.733333 sec.)
Calculated lambda[bdn, bdn, bdn]( 4.25 sec.)
Calculated rot[bdn, bdn, bdn]( 0.766667 sec.)
Calculated rot[bdn, bup, bdn]( 1.75 sec.)
Calculated R[bdn, bdn, bdn, bdn]( 17.5333 sec.)
Calculated R[bdn, bdn]( 0.45 sec.)
Calculated eta[bdn, bdn]( 0.116667 sec.)
Calculated Ricciscalar( 0.05 sec.)
Calculated Weyl[bdn, bdn, bdn, bdn]( 0.966667 sec.)
CPU Time = 33.7333 sec.
:[font = input; preserveAspect; startGroup]
grmap[ Factor, $]
:[font = print; inactive; preserveAspect; endGroup]
For the bknu metric.
Applying Factor to R[bdn, bdn]
Applying Factor to Weyl[bdn, bdn, bdn, bdn]
CPU Time = 0.65 sec.
:[font = input; preserveAspect; startGroup]
grdisplay[$]
:[font = print; inactive; preserveAspect; endGroup; endGroup; endGroup]
For the bknu metric.
 
Covariant Ricci

                   2
                  Q
R         = -(----------)
  (r) (r)       2    2 2
              (r  + u )

                 2
                Q
R         = ----------
  (u) (u)     2    2 2
            (r  + u )

                     2
                    Q
R             = ----------
  (phi) (phi)     2    2 2
                (r  + u )

                 2
                Q
R         = ----------
  (t) (t)     2    2 2
            (r  + u )
 
Covariant Weyl

                       2  2       3    2  2          2
                    -(Q  r ) + m r  + Q  u  - 3 m r u
C                 = ----------------------------------
  (r) (u) (r) (u)                 2    2 3
                                (r  + u )

                             2          2      2
                      u (-2 Q  r + 3 m r  - m u )
C                   = ---------------------------
  (r) (u) (phi) (t)             2    2 3
                              (r  + u )

                           2  2       3    2  2          2
                        -(Q  r ) + m r  + Q  u  - 3 m r u
C                     = ----------------------------------
  (r) (phi) (r) (phi)                 2    2 3
                                    (r  + u )

                            2          2      2
                      u (2 Q  r - 3 m r  + m u )
C                   = --------------------------
  (r) (phi) (u) (t)             2    2 3
                              (r  + u )

                          2  2       3    2  2          2
                    2 (-(Q  r ) + m r  + Q  u  - 3 m r u )
C                 = --------------------------------------
  (r) (t) (r) (t)                   2    2 3
                                  (r  + u )

                              2          2      2
                      2 u (2 Q  r - 3 m r  + m u )
C                   = ----------------------------
  (r) (t) (u) (phi)              2    2 3
                               (r  + u )

                            2  2      3    2  2          2
                        2 (Q  r  - m r  - Q  u  + 3 m r u )
C                     = -----------------------------------
  (u) (phi) (u) (phi)                 2    2 3
                                    (r  + u )

                     2  2      3    2  2          2
                    Q  r  - m r  - Q  u  + 3 m r u
C                 = -------------------------------
  (u) (t) (u) (t)               2    2 3
                              (r  + u )

                         2  2      3    2  2          2
                        Q  r  - m r  - Q  u  + 3 m r u
C                     = -------------------------------
  (phi) (t) (phi) (t)               2    2 3
                                  (r  + u )
^*)