
(* 
* GRTensorM (c) 1996-98 by Peter Musgrave, Denis Pollney and Kayll Lake
* All rights Reserved. Update by Mustapha Ishak B.
* GRTensorM is provided free of charge on the condition that it is
* acknowledged that we accept no liability for software performance,
* continued maintenance, or damage to data. The authors retain any and
* all rights to the software known as GRTensor, GRTensorII and
* GRTensorM their documentation and distribution. 
*) 

grtG`indexFnSet = {up,dn};

(* set of substitutions for the old GRtensor object names *)
grtG`subList[metric] = {g[dn,dn]};
grtG`subList[invmetric] = {g[up,up]};
grtG`subList[d1metric] = {g[dn,dn,dn]};
grtG`subList[Chr1] = {Chr[dn,dn,dn]};
grtG`subList[Chr2] = {Chr[up,dn,dn]};
grtG`subList[Riemann] = {R[dn,dn,dn,dn]};
grtG`subList[NRiemann] = {R[up,dn,dn,dn]};
grtG`subList[MRiemann] = {R[up,up,dn,dn]};
grtG`subList[URiemann] = {R[up,up,up,up]};
grtG`subList[Weyl] = {Weyl[dn,dn,dn,dn]};
grtG`subList[MWeyl] = {Weyl[up,up,dn,dn]};
grtG`subList[UWeyl] = {Weyl[up,up,up,up]};
grtG`subList[Ricci] = {R[dn,dn]};
grtG`subList[MRicci] = {R[up,dn]};
grtG`subList[URicci] = {R[up,up]};
grtG`subList[Einstein] = {G[dn,dn]};
grtG`subList[MEinstein] = {G[up,dn]};
grtG`subList[UEinstein] = {G[up,up]};

grtG`subList[CM] = {Ricciscalar,R1,R2,R3,W1R,W1I,W2R,W2I,
		   M1R,M1I, M2R, M2I, M3, M4, M5R, M5I};

grtG`subList[CMS] = {Ricciscalar,R1,R2,R3,W1R,
		      M1R, M2S, M5S};

grtG`subList[CMR] = {Ricciscalar, R1, R2, R3};

grtG`subList[CMM] = {M1R, M1I, M2R, M2I, M3, M4, M5R, M5I};

grtG`subList[CMW] = {W1R, W1I, W2R, W2I};

grtG`subList[NPSpin] = {NPkappa, NPsigma, NPlambda, NPnu,
	NPrho, NPmu, NPtau, NPpi, NPepsilon, NPgamma,
	NPalpha, NPbeta};

grtG`subList[NPSpinbar] = {NPkappabar, NPsigmabar, NPlambdabar, NPnubar,
	NPrhobar, NPmubar, NPtaubar, NPpibar, NPepsilonbar, NPgammabar,
	NPalphabar, NPbetabar};

grtG`subList[RicciSc] = {Lambda, Phi00, Phi01, Phi02, Phi11, Phi12, Phi22};

grtG`subList[WeylSc] = {Psi0, Psi1, Psi2, Psi3, Psi4};

grtG`subList[CSpin] = {Ckappa, Csigma, Clambda, Cnu,
	Crho, Cmu, Ctau, Cpi, Cepsilon, Cgamma,
	Calpha, Cbeta};

grtG`subList[CSpinbar] = {Ckappabar, Csigmabar, Clambdabar, Cnubar,
	Crhobar, Cmubar, Ctaubar, Cpibar, Cepsilonbar, Cgammabar,
	CNPalphabar, CNPbetabar};

grtG`subList[CRicciSc] = {CLambda, CPhi00, CPhi01, CPhi02, 
	CPhi11, CPhi12, CPhi22};

grtG`subList[CWeylSc] = {CPsi0, CPsi1, CPsi2, CPsi3, CPsi4};

grtG`metricSet = {};

grtG`recordInit = { x[up], dimension, g[dn,dn]};

grtG`allObjects = {}; (* list of all objects defined *)

grtG`rootSet = {};





