(* 
* GRTensorM (c) 1996-98 by Peter Musgrave, Denis Pollney and Kayll Lake
* All rights Reserved. Update by Mustapha Ishak B.
* GRTensorM is provided free of charge on the condition that it is
* acknowledged that we accept no liability for software performance,
* continued maintenance, or damage to data. The authors retain any and
* all rights to the software known as GRTensor, GRTensorII and
* GRTensorM their documentation and distribution. 
*) 
Needs["grii`objects`NP`NPSpin`"];
Needs["grii`objects`NP`WeylSc`"];
Needs["grii`objects`NP`RicciSc`"];
Needs["grii`objects`NP`JMSpin`"];
Needs["grii`objects`NP`CSpinlib`"];
Needs["grii`objects`NP`CCurve`"];
Needs["grii`objects`NP`Petrov`"];
(*
 * now add all these objects to the allObjects list
 *)
grtG`allObjects = Union[ grtG`allObjects, 
  {NPkappa, NPsigma, NPlambda, NPnu,
	NPrho, NPmu, NPtau, NPpi, NPepsilon, NPgamma,
	NPalpha, NPbeta,
   NPkappabar, NPsigmabar, NPlambdabar, NPnubar,
	NPrhobar, NPmubar, NPtaubar, NPpibar, NPepsilonbar, NPgammabar,
	NPalphabar, NPbetabar,
   Lambda, Phi00, Phi01, Phi02, Phi11, Phi12, Phi22,
   Psi0, Psi1, Psi2, Psi3, Psi4,
   WPsi0, WPsi1, WPsi2, WPsi3, WPsi4,
   Ckappa, Csigma, Clambda, Cnu,
	Crho, Cmu, Ctau, Cpi, Cepsilon, Cgamma,
	Calpha, Cbeta,
   Ckappabar, Csigmabar, Clambdabar, Cnubar,
	Crhobar, Cmubar, Ctaubar, Cpibar, Cepsilonbar, Cgammabar,
	CNPalphabar, CNPbetabar,
   CLambda, CPhi00, CPhi01, CPhi02, CPhi11, CPhi12, CPhi22,
   Petrov} 
];
